import React from 'react';
import { useDispatch, useSelector } from 'react-redux';


const useAuth = () => {
  const dispatch = useDispatch();
  const { isAuthenticated } = useSelector((state) => ({
    isAuthenticated: state.auth.isAuthenticated,
  }));
  const [loading, setLoading] = React.useState(true);
  React.useEffect(() => {
   
      dispatch(checkUserAuth()).finally(() => setLoading(false));
  
  }, [dispatch]);

  return { isAuthenticated, loading };
};

export default useAuth;
